Bug 179415 - Kernel near deadlocks then crashes after SMB umount attempt
Kernel near deadlocks then crashes after SMB umount attempt
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 00:52 EST by Richard Hamlin
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 09:00:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hamlin 2006-01-31 00:52:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
First, I noticed after leaving the computer idle many hours, the screen was completely black when I returned and I could not get it to come back up right away.  (I had it running X11/Gnome and switching virtual consoles was no help.)
It turns out, that it was being extremely sluggish, even though I had not run any jobs.  The screensaver login eventually appeared, as did the VCs, and I was able to unlock the screen.  But GNOME was completely unresponsive.  I could not get any menus to pop up, or even drag any windows around with the mouse, although the pointer still worked.  I could type in an xterm, however, although intermittently there was a huge delay (~30 sec) before any text appeared.  Likewise, for Virtual Consoles.  On the VCs, I sporadically got lots of SMB error messages, e.g.
Jan 30 23:01:39 crunch kernel: smb_lookup: find //marketing failed, error=-5
Jan 30 23:02:09 crunch kernel: smb_add_request: request [e04c3500, mid=2628] tim
ed out!

at the same time as there was a huge delay in echoing typed text.

smbiod was always consuming the equivalent of 100% of 1 of the CPUs (not always the same CPU).

(I was unable to end my X session gracefully.)
So, I killed X and I switched to single user mode.
I tried umounting the offending SMB share.
Umount was unsuccessful, claiming it was busy.
As I tried "man umount" to check for an option to force SMB unmounting,
a trace appeared excerpted below, and the computer was completely hung.



Version-Release number of selected component (if applicable):
2.6.14-1.1656_FC4smp

How reproducible:
Didn't try

Steps to Reproduce:
1. mount remote SMB shares
2. open directories on SMB shares with Nautilus 2.10.0 and keep these windows open
3. wait for SMB to choke when Nautilus tries to refresh and stat all SMB files.
4. try unmounting the SMB share
  

Actual Results:  I have not tried waiting for #3 yet.  It does not happen right away.

Additional info:

Here are the last 4 lines of the trace.  (I have more, but not the whole thing; some went off the top of the screen and with the VC dead, I could not scroll up to the top.)

[<f0cb46da>]  .text.lock.smbiod+0xb/0x21  [smbfs]
[<c0133e42>]  autoremove_wake_function+0x0/0x37
[<f0cb454a>]  smbiod+0x0/0x185  [smbfs]
[<c0101d4d>]  kernel_thread_helper+0x5/0xb
_  (blinking cursor, and complete hang)

$ cat /proc/cpuinfo

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 0
model name      : Intel(R) Xeon(TM) CPU 1700MHz
stepping        : 10
cpu MHz         : 1695.206
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 3394.47

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 0
model name      : Intel(R) Xeon(TM) CPU 1700MHz
stepping        : 10
cpu MHz         : 1695.206
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 3390.01

All RAM is ECC.
Swap should not have been used at all, although it was enabled.
Comment 1 Dave Jones 2006-02-02 20:13:19 EST
smbfs is a bit of a disaster right now tbh, and it's unmaintained upstream.
What we're aiming to do in FC5 and beyond is disable smbfs, in favour of using
cifs.  Can you see if that works better for you ?

Comment 2 Dave Jones 2006-02-03 01:53:21 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 John Thacker 2006-05-05 09:00:23 EDT
Closing due to lack of response.
smbfs deprecated (disabled now I think) in favor of cifs anyway.

Note You need to log in before you can comment on or make changes to this bug.